#!/usr/bin/perl
use Test::Simple tests => 5;
use Linux::Inotify2;

my $in = Linux::Inotify2->new;
ok ($in, "inotify handle created");

# create directory for watch
use File::Temp qw/ tempdir /;
my $dir = tempdir();
mkdir $dir;

my $watch = $in->watch ($dir, IN_ALL_EVENTS);
ok ($watch, "watch created for directory $dir");

$in->blocking (0);

{
  my @list = $in->read;
  ok (@list==0, "non blocking: $!");
}

rmdir $dir;

{
  my @list = $in->poll;
  ok (@list > 0, scalar @list . " events read");
}

ok ($watch->cancel, "watch canceled");

END {
  rmdir $dir;
}

